Subject: Re: netatalk in production environments...Definitive

From: "Luke McNeilage" <[email-masked]>
Date: Fri, 02 Jun 2000 09:35:40 +1000

If you read my prelim, I copy the alias OFF my NT volume on to my Netatalk
volume in the manner you describe.

And I can break an alias on a Macintosh ASIP 6 server by doing the same as
you described.

What is it you want?

> For example, Apple- (nee Claris-) Works uses alis records to
> locate its spelling dictionaries. So if a bunch of users wanted to
> share a common dict on a netatalk volume, too bad. And so on.
>

You just answered you own problem. The data file can live quite comfortably
on Linux, you alias to it lives on the Mac.

>    Besides, Apple tells you to -
> there's a tech note somewhere that recommends to developers that
> appls save alias's instead of pathnames.
>
> * See chapter 4 of "Inside Macintosh: Files"

Recommending and Best Practice are a bit of a stretch. If somebody told you
to jump off a bridge......etc.

I think the only developer that relies heavily on aliases is Apple's
Internet Setup.

============================================================================
Luke McNeilage
Technical Director
D2P (Australasia) Pty Ltd
Email: [email-masked]
Web: www.d2p.com.au

Australia's leading file delivery system for publishing & graphic arts.

Tel: +61 (0)3 9429 3233
Fax: +61 (0)3 9427 0929
Mobile: 0419 512 868

Suite 3/243 Bridge Road
Richmond VIC 3121
Australia

----------
>From: Sak Wathanasin <[email-masked]>
>To: [email-masked]
>Subject: Re: netatalk in production environments...Definitive
>Date: Thu, 1 Jun 2000 8:40 PM
>

> In reply to Luke McNeilage's message of the 01/06/2000 at 17:43 +1000,
>
>
>>On one Macintosh make an alias of a file off my NT server.
>>Store that alias three directories deep.
>>open that directory on another Macintosh.
>>double click on the alias,
>>and it will prompt me to login to the NT Server.
>
> Um, if you bothered to read the list like you tell everyone to, you'd
> know that NT file services for Macintosh is one of the few to support
> file and directory IDs (ie aliases to you).
>
> On netatalk volumes, for example, aliases to a folder inside a volume
> work fine until you do something to change the directory structure.
> Try this:
>
> 1) create a folder on a netatalk vol, call it test
> 2) make an alias to it onto a local disk
> 3) dbl-click on the alias and it should open the folder on the
> mounted vol; unmount the netatalk vol, dbl-click the alias and it
> should re-mount the netatalk volume for you. So far so good
> 4) Now create a new folder called test1,and move the test folder
> inside the new one
> 5) dbl-click the alias and check that it still works (cool, no?
> Sym-links don't do this.)
> 6) Now re-boot the Mac; when it comes back up, dbl-click on the the
> alias. It will either say it can't be found, open a completely
> different folder or if you're dead lucky it will re-open the test
> folder. It all depends on whether netatalk has re-assigned it the
> same directory ID. In the case of the last, create another folder,
> test2, move the test folder to it, delete test1, reboot and try
> again. It will fail eventually.
>
> If this test sounds artificial, remember that on a busy server, users
> will be creating and deleting folders all the time.
>
> As for:
>
>>Its ill-advised information like this that causes distress
>>
>>Quark does not save aliased link, and the Mac OS just works more efficiently
>
> I'm sorry I picked a bad example in Quark: my memory isn't what it
> was or perhaps they've changed the file format since I last did any
> serious work with Q Express (v3! I was debugging an OPI server and QX
> gave us no end of grief, but that's another story). If I'd been
> thinking I would have realized that none of the appls with
> cross-platform file formats would keep alias records* in their data
> files (since this would not be supported on other platforms).
> Nevertheless, there are plenty of Mac appls that do esp in prefs
> files. For example, Apple- (nee Claris-) Works uses alis records to
> locate its spelling dictionaries. So if a bunch of users wanted to
> share a common dict on a netatalk volume, too bad. And so on.
>
> My point is that as a user, you have no control over this. It's great
> that most of the commonly used appls don't do this, but as a
> sysadmin, you can be pretty sure that some user will ring you up one
> day and say, "the XXX appl works if I sav eto my disk but not the
> file server". Of course, Murphy's law says that it will be your boss
> or biggest client and it will be their favourite PIM/drawing
> program/something absolutely essential.
>
> Why do appls use alis records to track files? For one thing,
> pathnames aren't sufficient on MacOS: you can have more than 1
> mounted volume with the same name. Besides, Apple tells you to -
> there's a tech note somewhere that recommends to developers that
> appls save alis'es instead of pathnames.
>
> * See chapter 4 of "Inside Macintosh: Files"
>
> --
> Sak Wathanasin
> Network Analysis Limited
> 178 Wainbody Ave South, Coventry CV3 6BX, UK
>
> Internet: [email-masked]
> Phone: (+44) 24 76 41 99 96        Mobile: (+44) 79 70 75 19 12
> Fax: (+44) 24 76 69 06 90
>

---

From: Sak Wathanasin <[email-masked]>
Date: Fri, 2 Jun 2000 15:34:27 +0100

In reply to Luke McNeilage's message of the 02/06/2000 at 09:35 +1000,

>volume in the manner you describe.

So the alias is pointing at folders on the NT server, yes? That'll 
work fine: it's not where you store the alias, but what server the 
alias is pointing at that matters.

>And I can break an alias on a Macintosh ASIP 6 server by doing the same as

!? Unless by "doing the same as you described" you mean making an 
alias to a folder on a netatalk volume and storing it on an 
AppleShare 6 server. Aliases to folders on a netatalk volume will 
cause problems no matter where you store them: on your local disk, on 
an AS6 server, on an NT server or on the netatalk server itself. 
Conversely, aliases pointing at folders on an NT FSM server or AS6 
server will work just fine whether you put them on a netatalk server 
or not.

>on Linux, you alias to it lives on the Mac.

See above.

Internet: [email-masked]